VOBJECT3(1)

NAME
vobject3 - sabre/vobject command line interface

SYNOPSIS
vobject3 [options] command [arguments]

OPTIONS

-q  Don't output anything.

-help -h
    Display this help message.

--format
    Convert to a specific format. Must be one of: vcard, vcard21,

--forgiving
    Makes the parser less strict. vcard30, vcard40, icalendar20, jcal, jcard, json, mimedir.

--inputformat
    If the input format cannot be guessed from the extension, it must be specified here.

--pretty
    json pretty-print.

  Commands:

validate source_file
    Validates a file for correctness.

repair source_file [output_file]
    Repairs a file.

convert source_file [output_file]
    Converts a file.

color source_file
    Colorize a file, useful for debbugging.

If source_file is set as '-', STDIN will be used. If output_file is omitted, STDOUT will be used. All other output is sent to STDERR.

EXAMPLES

    vobject3 convert contact.vcf contact.json

    vobject3 convert --format=vcard40 old.vcf new.vcf

    vobject3 convert --inputformat=json --format=mimedir - -

    vobject3 color calendar.ics

https://github.com/fruux/sabre-vobject